libdevice User's Guide (PDF) - v10.1.105 (older) - Last updated February 8, 2019 - Send Feedback

## 3.26. __nv_copysignf

Prototype:

    float @__nv_copysignf(float %x, float %y)

Description:

Create a floating-point value with the magnitude `x` and the sign of `y`.

Returns:

Returns a value with the magnitude of `x` and the sign of `y`.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes